=== debian/control ===
Source: ros-dashing-kinesis-video-streamer
Section: misc
Priority: extra
Maintainer: AWS RoboMaker <ros-contributions@amazon.com>
Build-Depends: debhelper (>= 9.0.0), ros-dashing-ament-cmake, ros-dashing-ament-cmake-gmock, ros-dashing-ament-cmake-gtest, ros-dashing-aws-common, ros-dashing-aws-ros2-common, ros-dashing-image-transport, ros-dashing-kinesis-manager, ros-dashing-kinesis-video-msgs, ros-dashing-rclcpp, ros-dashing-rmw-implementation, ros-dashing-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-dashing-kinesis-video-streamer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-yaml, ros-dashing-launch, ros-dashing-launch-ros, ros-dashing-rmw-implementation, ros-dashing-ros-workspace
Description: Kinesis Video Streams producer node
